Skip to main content
POST
/
products
/
{productId}
/
calendar_method
/
options
Create calendar method option
curl --request POST \
  --url https://app.supercycle.com/api/v1/products/{productId}/calendar_method/options \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": 123,
  "name": "<string>",
  "durationCount": 123,
  "priceCents": 123,
  "idVerificationRequired": true,
  "depositVariantShopifyId": 123,
  "variantApplicationType": "<string>",
  "marketApplicationType": "<string>",
  "conditionApplicationType": "<string>",
  "variantApplicationShopifyIds": [
    123
  ],
  "marketApplicationShopifyIds": [
    123
  ],
  "conditionApplicationIds": [
    123
  ],
  "_destroy": true
}
'
import requests

url = "https://app.supercycle.com/api/v1/products/{productId}/calendar_method/options"

payload = {
    "id": 123,
    "name": "<string>",
    "durationCount": 123,
    "priceCents": 123,
    "idVerificationRequired": True,
    "depositVariantShopifyId": 123,
    "variantApplicationType": "<string>",
    "marketApplicationType": "<string>",
    "conditionApplicationType": "<string>",
    "variantApplicationShopifyIds": [123],
    "marketApplicationShopifyIds": [123],
    "conditionApplicationIds": [123],
    "_destroy": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    id: 123,
    name: '<string>',
    durationCount: 123,
    priceCents: 123,
    idVerificationRequired: true,
    depositVariantShopifyId: 123,
    variantApplicationType: '<string>',
    marketApplicationType: '<string>',
    conditionApplicationType: '<string>',
    variantApplicationShopifyIds: [123],
    marketApplicationShopifyIds: [123],
    conditionApplicationIds: [123],
    _destroy: true
  })
};

fetch('https://app.supercycle.com/api/v1/products/{productId}/calendar_method/options', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "durationCount": 123,
  "priceCents": 123,
  "idVerificationRequired": true,
  "depositVariantShopifyId": 123,
  "variantApplicationType": "<string>",
  "marketApplicationType": "<string>",
  "conditionApplicationType": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
  "message": "<string>"
}
{
  "errors": [
    "Invalid request body"
  ]
}
{
  "error": "Rate limit exceeded. Retry after 42 seconds."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

productId
integer<int64>
required

The Shopify product ID

Body

application/json
id
integer<int64>
name
string
durationCount
integer
priceCents
integer
idVerificationRequired
boolean
depositVariantShopifyId
integer<int64> | null
variantApplicationType
string
marketApplicationType
string
conditionApplicationType
string
variantApplicationShopifyIds
integer<int64>[]
marketApplicationShopifyIds
integer<int64>[]
conditionApplicationIds
integer<int64>[]
_destroy
boolean

Response

The created calendar method option

id
integer<int64>
required
name
string
required
durationCount
integer
required
priceCents
integer
required
idVerificationRequired
boolean
depositVariantShopifyId
integer<int64> | null
variantApplicationType
string
marketApplicationType
string
conditionApplicationType
string
createdAt
string<date-time>
updatedAt
string<date-time>